<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:dt="http://www.thymeleaf.org/dandelion/datatables">
<head lang="en">
<meta charset="UTF-8" />
<title data-th-text="#{conversations.edit}">Konversation bearbeiten</title>
<link rel="stylesheet" href="/styles.css" data-th-href="@{/styles.css}" />
</head>
<body>
	<div data-th-replace="fragments/nav::nav"></div>
	<main>
	<h1>
		<th:block data-th-text="#{conversations.editfor(${conversationRegistrar.contact.fullName})}">Kontakte für Registrar bearbeiten</th:block>
		<span class="symbol-bar"> 
			<a data-th-replace="fragments/snippets::edit('/persons/registrars', ${conversationRegistrar.contact.id})"> </a> 
			<a data-th-replace="fragments/snippets::rotationplan(${conversationRegistrar.contact.id})"></a>
		</span>
	</h1>
	<form data-th-action="@{/persons/registrars/__${conversationRegistrar.contact.id}__/conversations/create}" method="post" data-th-object="${conversationRegistrar}">
		<input type="hidden" data-th-field="*{id}" />
		<input type="hidden" data-th-field="*{contact.id}" />

		<fieldset>
			<legend data-th-text="#{coreData}">Allgemeine Daten</legend>
			<label for="conversationDate" data-th-text="#{conversations.date}">Kontaktdatum</label>			
			<input type="date" data-th-field="*{conversationDate}" data-th-errorclass="error" />
			<label for="contactPerson" data-th-text="#{conversations.person}">Kontaktperson</label>
			<input type="text" data-th-field="*{contactPerson}" data-th-errorclass="error" />
			<label for="conversationType" data-th-text="#{conversations.type}">Kontaktart</label>
			<select data-th-field="*{conversationType}" data-th-errorclass="error">
				<option data-th-each="conversationType: ${conversationTypes}" data-th-value="${conversationType.id}" data-th-text="${conversationType.name}"/>
			</select>
			<p>
				<label for="description" data-th-text="#{conversations.content}">Besprechungsinhalt</label>
			</p>
			<p>
				<textarea rows="10" cols="100" data-th-field="*{description}" data-th-errorclass="error"></textarea>
			</p>
		</fieldset>

		<p data-th-replace="fragments/snippets::save" />
	</form>
	<h1 data-th-text="#{conversations.recent}">Bisherige Kontakte</h1>
	<table class="datatable">
		<thead>
			<tr>
				<th data-th-text="#{conversations.date}">Datum</th>
				<th data-th-text="#{conversations.person}">Kontaktperson</th>
				<th data-th-text="#{conversations.type}">Kontaktart</th>
				<th data-th-text="#{conversations.content}">Inhalt</th>
			</tr>
		</thead>
		<tbody>
			<tr data-th-each="conversation: ${conversations}">
				<td data-th-text="${conversation.conversationDate}"/>
				<td data-th-text="${conversation.contactPerson}"/>
				<td data-th-text="${conversation.conversationType.name}"/>
				<td data-th-text="${conversation.description}"/>
			</tr>
		</tbody>
	</table>
	</main>
</body>
</html>